FROM openshift/golang-builder@sha256:4820580c3368f320581eb9e32cf97aeec179a86c5749753a14ed76410a293d83 AS builder
ENV __doozer=update BUILD_RELEASE=202203081809.p0.g660dc4f.assembly.stream BUILD_VERSION=v4.10.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=10 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.10.0-202203081809.p0.g660dc4f.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=660dc4f OS_GIT_VERSION=4.10.0-202203081809.p0.g660dc4f.assembly.stream-660dc4f SOURCE_DATE_EPOCH=1631540261 SOURCE_GIT_COMMIT=660dc4f861e81452f59da6f7436a0411526ff456 SOURCE_GIT_TAG=atomic-openshift-node-problem-detector-3.11.233-1.p0-371-g660dc4f SOURCE_GIT_URL=https://github.com/openshift/node-problem-detector 
WORKDIR /go/src/k8s.io/node-problem-detector
COPY . .
RUN yum install -y systemd-devel && \
    make build-binaries

FROM openshift/base-rhel8:v4.10.0.20220308.182903
ENV __doozer=update BUILD_RELEASE=202203081809.p0.g660dc4f.assembly.stream BUILD_VERSION=v4.10.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=10 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.10.0-202203081809.p0.g660dc4f.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=660dc4f OS_GIT_VERSION=4.10.0-202203081809.p0.g660dc4f.assembly.stream-660dc4f SOURCE_DATE_EPOCH=1631540261 SOURCE_GIT_COMMIT=660dc4f861e81452f59da6f7436a0411526ff456 SOURCE_GIT_TAG=atomic-openshift-node-problem-detector-3.11.233-1.p0-371-g660dc4f SOURCE_GIT_URL=https://github.com/openshift/node-problem-detector 
COPY --from=builder /go/src/k8s.io/node-problem-detector/bin/node-problem-detector /usr/bin/
COPY --from=builder /go/src/k8s.io/node-problem-detector/bin/log-counter /usr/bin/

LABEL \
        License="GPLv2+" \
        io.k8s.description="node-problem-detector aims to make various node problems visible to the upstream layers in cluster management stack. It is a daemon which runs on each node, detects node problems and reports them to apiserver." \
        io.k8s.display-name="Node Problem Detector" \
        io.openshift.tags="openshift,node" \
        vendor="Red Hat" \
        name="openshift/ose-node-problem-detector" \
        com.redhat.component="atomic-openshift-node-problem-detector-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Node" \
        release="202203081809.p0.g660dc4f.assembly.stream" \
        io.openshift.build.commit.id="660dc4f861e81452f59da6f7436a0411526ff456" \
        io.openshift.build.source-location="https://github.com/openshift/node-problem-detector" \
        io.openshift.build.commit.url="https://github.com/openshift/node-problem-detector/commit/660dc4f861e81452f59da6f7436a0411526ff456" \
        version="v4.10.0"

